﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano			'ignore

	Private VueTable1 As VueTable 'ignore
End Sub

Sub Initialize(v As VuetifyApp)						'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'make this the start page
	page.StartPage
	path = page.path

	'build the page html here
	banano.LoadLayout(page.Here, "home")

	'add this route component to the app
	vuetify.AddRoute(page)
End Sub	

Sub mounted 'ignore
	For i=0 To 21
		Dim Row As Map = CreateMap("id":i,"user": "User"&i ,"email":"email@domain.org","level":Rnd(0,6))
		VueTable1.AddItem(Row)
	Next
End Sub

Private Sub VueTable1_level_Minus (item As Map)
	Dim Liv As Int = item.Get("level")
	Liv=Max(1,Liv-1)
	VueTable1.UpdateItem("id", item.Get("id"), CreateMap("level":Liv))
End Sub

Private Sub VueTable1_Level_Plus (item As Map)
	Dim Liv As Int = item.Get("level")
	Liv=Min(5,Liv+1)
	VueTable1.UpdateItem("id", item.Get("id"), CreateMap("level":Liv))
End Sub

Private Sub VueTable1_user_Change (item As Map)
	Dim mess As String = banano.ToJson(item)
	vuetify.ShowSwal(mess)
End Sub

Private Sub VueTable1_email_Change (item As Map)
	VueTable1.UpdateItem("id", item.get("id"), CreateMap("email":item.Get("email")))
	' or     VueTable1.UpdateItem("id", item.get("id"), item))
End Sub