﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public vuetify As VuetifyApp		'ignore
	Public BANano As BANano		'ignore
	
	'PAGES
	Dim pgViewHome As ViewHome
	'
	Private appbar As VAppBar					'ignore
	Private appbartitle As VToolBarTitle		'ignore	
	Private appdrawer As VNavigationDrawer		'ignore
	Private apphamburger As VAppBarNavIcon		'ignore
	Private applogo As VImg						'ignore
	Private appmain As VMain					'ignore
	Private approuterview As VRouterView		'ignore
	Private appsnack As VSnackBar				'ignore
	Private appspacer As VSpacer				'ignore
	Private apptransition As VTransition		'ignore
	Private btnLogOff As VFAB					'ignore
	Private drwlist As VList					'ignore
	Private drwoptions As VListOptions			'ignore
	Private inspire As VApp						'ignore
End Sub

Sub Init					'ignoreDeadCode
	'initialize the app
	vuetify.Initialize(Me, Main.AppName)
	'load the base layout
	BANano.LoadLayout(vuetify.Here, "baselayout")
	'set the app title
	vuetify.SetData("apptitle", Main.AppTitle)
	'set the listview options
	drwlist.SetOptions(drwoptions)
	'
	'tell instance about the router view
	vuetify.BindRouterView(approuterview)
	'tell instace about the progress loader
	vuetify.BindProgressLoaderOn(appbar)
	
	'add other route component pages
	AddPages
	
	'render the ux
	vuetify.Serve
	'Log(vuetify.HTML)
End Sub

'code to add other pages to the app
Sub AddPages			'IgnoreDeadCode
	pgViewHome.Initialize(vuetify) 
End Sub

Private Sub apphamburger_ClickStop (e As BANanoEvent)			'ignoreDeadCode
	appdrawer.ToggleOnApp(vuetify)
End Sub

Private Sub drwlist_Click (item As Map)				'ignoreDeadCode
	'vuetify.ShowSwal(BANano.ToJson(item))
End Sub

Private Sub btnLogOff_Click (e As BANanoEvent)			'ignoreDeadCode
	vuetify.ShowSnackBarSuccess("Log off...")
End Sub

Sub created		'IgnoreDeadCode
	'clear the listview
	drwlist.ClearOnApp(vuetify)
	drwlist.AddHeader("Enhanced Design System")
	drwlist.AddItem("", "homex", "mdi-home", "green", "Home", "/")

	'refresh the listview
	drwlist.RefreshOnApp(vuetify)
	'close the drawer
	appdrawer.CloseOnApp(vuetify)
End Sub

